FUNCTION HEAD_FIND(3)

NAME
boost::algorithm::head_finder - "Head" finder

SYNOPSIS

// In header: <boost/algorithm/string/finder.hpp>
unspecified head_finder(int N);

DESCRIPTION

Construct the head_finder. The finder returns a head of a given input. The head is a prefix of a string up to n elements in size. If an input has less then n elements, whole input is considered a head. The result is given as an iterator_range delimiting the match.

Parameters:

    N
        The size of the head

Returns:
    An instance of the head_finder object